[OE-core] [PATCH v3] opkg-utils: update SRCREV

Alejandro del Castillo alejandro.delcastillo at ni.com
Mon Jun 6 16:08:52 UTC 2016


Drop patches now included in newer SRCREV. Update HOMEPAGE and PV
version to better align with opkg. Current revision include:

* Python 3 compatibility
* Improved error handling

Signed-off-by: Alejandro del Castillo <alejandro.delcastillo at ni.com>
---
 ...re-do-find-ls-code-to-not-fail-on-filenam.patch | 56 ----------------------
 .../opkg-build-Exit-when-fail-to-list-files.patch  | 45 -----------------
 meta/recipes-devtools/opkg-utils/opkg-utils_git.bb | 10 ++--
 3 files changed, 4 insertions(+), 107 deletions(-)
 delete mode 100644 meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch
 delete mode 100644 meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch

diff --git a/meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch b/meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch
deleted file mode 100644
index 5cbb55a..0000000
--- a/meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch
+++ /dev/null
@@ -1,56 +0,0 @@
-From 8e424296ce2af4a5a7392c38a31f8723f9b9fbda Mon Sep 17 00:00:00 2001
-From: Denys Dmytriyenko <denys at ti.com>
-Date: Thu, 7 Apr 2016 20:43:13 -0400
-Subject: [PATCH] opkg-build: re-do find/ls code to not fail on filenames with
- spaces
-
-Signed-off-by: Denys Dmytriyenko <denys at ti.com>
----
- opkg-build | 9 ++++-----
- 1 file changed, 4 insertions(+), 5 deletions(-)
-
-diff --git a/opkg-build b/opkg-build
-index a9ccad2..07305b2 100755
---- a/opkg-build
-+++ b/opkg-build
-@@ -6,7 +6,6 @@
- # 2003-04-25 rea at sr.unh.edu
- #   Updated to work on Familiar Pre0.7rc1, with busybox tar.
- #   Note it Requires: binutils-ar (since the busybox ar can't create)
--#   For UID debugging it needs a better "find".
- set -e
- 
- version=1.0
-@@ -47,12 +46,12 @@ pkg_appears_sane() {
- 
- 	PKG_ERROR=0
- 
--	tilde_files=`find . -name '*~'`
-+	tilde_files=`find . -name '*~' -ls -printf '\\\n'`
- 	if [ -n "$tilde_files" ]; then
- 	    if [ "$noclean" = "1" ]; then
- 		echo "*** Warning: The following files have names ending in '~'.
- You probably want to remove them: " >&2
--		ls -ld $tilde_files
-+		echo -e $tilde_files
- 		if [ $? -ne 0 ]; then
- 			echo "*** Error: Fail to list files have names ending in '~'."
- 			exit 1
-@@ -64,12 +63,12 @@ You probably want to remove them: " >&2
- 	    fi
- 	fi
- 
--	large_uid_files=`find . -uid +99 || true`
-+	large_uid_files=`find . -uid +99 -ls -printf '\\\n' || true`
- 
- 	if [ "$ogargs" = "" ]  && [ -n "$large_uid_files" ]; then
- 		echo "*** Warning: The following files have a UID greater than 99.
- You probably want to chown these to a system user: " >&2
--		ls -ld $large_uid_files
-+		echo -e $large_uid_files
- 		if [ $? -ne 0 ]; then
- 			echo "*** Error: Fail to list files have a UID greater than 99."
- 			exit 1
--- 
-2.2.0
-
diff --git a/meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch b/meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch
deleted file mode 100644
index 6c66902..0000000
--- a/meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch
+++ /dev/null
@@ -1,45 +0,0 @@
-We have an issue when ls segfaults in some cases [1] so it's
-better to detect the failure at this level instead of continue
-the build process.
-
-[YOCTO #8926]
-
-Upstream-Status: Submitted [2]
-
-[1] https://bugzilla.yoctoproject.org/show_bug.cgi?id=8926#c0
-[2] https://groups.google.com/forum/#!topic/opkg-devel/cmX02bgHZms
-
-Signed-off-by: Aníbal Limón <anibal.limon at linux.intel.com>
----
- opkg-build | 8 ++++++++
- 1 file changed, 8 insertions(+)
-
-diff --git a/opkg-build b/opkg-build
-index 98008b6..a9ccad2 100755
---- a/opkg-build
-+++ b/opkg-build
-@@ -53,6 +53,10 @@ pkg_appears_sane() {
- 		echo "*** Warning: The following files have names ending in '~'.
- You probably want to remove them: " >&2
- 		ls -ld $tilde_files
-+		if [ $? -ne 0 ]; then
-+			echo "*** Error: Fail to list files have names ending in '~'."
-+			exit 1
-+		fi
- 		echo >&2
- 	    else
- 		echo "*** Removing the following files: $tilde_files"
-@@ -66,6 +70,10 @@ You probably want to remove them: " >&2
- 		echo "*** Warning: The following files have a UID greater than 99.
- You probably want to chown these to a system user: " >&2
- 		ls -ld $large_uid_files
-+		if [ $? -ne 0 ]; then
-+			echo "*** Error: Fail to list files have a UID greater than 99."
-+			exit 1
-+		fi
- 		echo >&2
- 	fi
- 	    
--- 
-2.1.4
-
diff --git a/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb b/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb
index 8873b28..a7aec45 100644
--- a/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb
+++ b/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb
@@ -1,18 +1,16 @@
 SUMMARY = "Additional utilities for the opkg package manager"
 SUMMARY_update-alternatives-opkg = "Utility for managing the alternatives system"
 SECTION = "base"
-HOMEPAGE = "http://code.google.com/p/opkg/"
+HOMEPAGE = "http://git.yoctoproject.org/cgit/cgit.cgi/opkg-utils"
 LICENSE = "GPLv2+"
 LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f \
                     file://opkg.py;beginline=1;endline=18;md5=15917491ad6bf7acc666ca5f7cc1e083"
 PROVIDES += "${@bb.utils.contains('PACKAGECONFIG', 'update-alternatives', 'virtual/update-alternatives', '', d)}"
 
-SRCREV = "53274f087565fd45d8452c5367997ba6a682a37a"
-PV = "0.1.8+git${SRCPV}"
+SRCREV = "3ffece9bf19a844edacc563aa092fd1fbfcffeee"
+PV = "0.3.2+git${SRCPV}"
 
-SRC_URI = "git://git.yoctoproject.org/opkg-utils \
-           file://opkg-build-Exit-when-fail-to-list-files.patch \
-           file://0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch"
+SRC_URI = "git://git.yoctoproject.org/opkg-utils"
 SRC_URI_append_class-native = " file://tar_ignore_error.patch"
 
 S = "${WORKDIR}/git"
-- 
1.9.1




More information about the Openembedded-core mailing list